Geneos 6.x Compatibility Matrix

Supported Geneos versions Copied

ITRS supports all released versions based on the current plus the previous major versions of Geneos. Only the latest major version will receive regular fixes and enhancements. In exceptional circumstances, critical fixes may be backported to previous major versions where it is not reasonably possible to upgrade to newer versions.

The supported Geneos versions are:

Upgrading between Geneos versions can introduce different changes. For more information, see the Geneos Upgrade Notes.

Note

End of life for 4.x.x is 31 May 2023. If you are using 4.x.x, we advise you to upgrade to the latest version.

Operating system support Copied

Operating system Latest supported version Upcoming supported version
Windows Desktop 10 and 11, Server 2016, 2019, and 2022
Linux: Red Hat RHEL 7.x [kernel 3.10], RHEL 8.x [kernel 4.18], and RHEL 9.x [kernel 5.14]
Linux: Red Hat on IBM POWER8 RHEL 7.x [Little Endian] — only available in Geneos 5.x.x versions
Linux: SUSE SLES 12.x and 15.x
Linux: Ubuntu 18.04 LTS, 20.04 LTS, and 22.04 LTS
IBM AIX 7.2 7.3
IBM i (OS/400) 7.3 and 7.4 7.5
macOS 12.7 (Monterey) 14 (Sonoma)

Security-Enhanced Linux Copied

When Security-Enhanced Linux (SELinux) is running in Enforcing mode, it may deny certain functions of depending on the implemented configurations and policies.

To see which functions denies, check the audit log. The log is typically located in /var/log/audit.log, where the log type entry is AVC. The audit log provides the details of any denied access. For example, denied connection to the TCP port.

If you experience issues related to this mode, you may opt to disable , or create policy modules to grant the required access. Please contact your administrator or security team for assistance.

Geneos components Copied

Geneos components Windows Desktop Windows Server Linux: Red Hat Linux: SUSE Linux: Ubuntu Linux: Red Hat on IBM POWER8 (LE) IBM AIX IBM i (OS/400) macOS
Active Console
Collection Agent
FIX Analyser 2 File Agent
FIX Analyser 2 Netprobe
Gateway
Licence Daemon
Netprobe Supported in Geneos 5.x version
SSO Agent
Web Dashboard (Web Server)
Webslinger

Note

IBM i operating system is monitored remotely by Netprobe run on Linux operating system.

Containerised environment support Copied

Provides docker container images of the following components. Each component should meet the documented minimum operating system requirements.

Geneos Component Enterprise version 18.06 or higher Native Kubernetes 1.18 or higher  EKS AKS
Collection Agent
Netprobe
Gateway

Note

Support for the containerised environment itself or any of its services are not provided by ITRS. See the Data collection in an orchestrated environment and Geneos containers documentation on how to build and manage container services.

Cloud environment support Copied

Supports running components version 4.8.0 and newer in cloud environments such as Amazon Web Services (AWS), Google Cloud Platform (GCP), and Microsoft Azure. Each component should meet the documented minimum operating system requirements.

Deploying into any cloud environments should take into consideration connectivity, performance, network traffic, and cost implications.

For more information, see Geneos on Amazon Web Services Cloud.

Plugin support Copied

Netprobe plugins Copied

Supported Netprobe plugins Windows Linux: Red Hat Linux: SUSE Linux: Ubuntu IBM AIX
API (XML-RPC)  
API Streams (XML-RPC)  
Bloomberg B-Pipe  
Clearvision Status      
Control-M (BMC)
CPU
Desktop PC Monitoring    
Device IO    
Disk
Dynamic Entities Health
E4JMS (Tibco EMS) Bridges    
E4JMS (Tibco EMS) Connections    
E4JMS (Tibco EMS) Durables    
E4JMS (Tibco EMS) Non-Durables    
E4JMS (Tibco EMS) Queues    
E4JMS (Tibco EMS) Routes    
E4JMS (Tibco EMS) Server    
E4JMS (Tibco EMS) Topics    
E4JMS (Tibco EMS) User Summary    
Extractor
Fidessa      
Fidessa DQ      
FIX Analyser 2    
File Keyword Monitor (FKM)
File Latency Monitor (FLM)  
File Transfer Monitor (FTM)
GL Greffon  
GL Lost Orders Only supported on Geneos 4.x versions of the Netprobe.
GL Order Book Only supported on Geneos 4.x versions of the Netprobe.
GL Permissions Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
GL Router  
GL SLC Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
GL SLC Relay Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
GL SLE Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
GL SLE TCP Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
Hardware
IBM i File Member
IBM i JDBC
IBM i Job    
IBM i Log Reader
IBM i Member Record
IBM i Message    
IBM i Pool    
IBM i Queue    
IBM i Subsystem    
IBM i System    
IPC (Shared Memory)    
IX Message Analyser  
JMX Server
JMX Thread Info
Market Data Monitor (MDM)  
Message Tracker  
MIB Monitor (Mibmon)  
MQ Channel (IBM)
MQ Queue Info (IBM)
MQ Queue (IBM)
NET Ping  
Network
NYXT Papastats  
OP5 Monitor
Oracle
Orc  
PATS Status Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
PATS Trading Breaches Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
PATS Users Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
Perfmon    
Processes
Publisher
REST API (Inbound)
REST Extractor
RMC Interface (Refinitiv)    
SETS SLC Only supported on Geneos 5.x versions of the Netprobe. This plugin has been deprecated on Geneos 6.x.
SQL Toolkit
State Tracker
Sybase
Sybase Server
TCP Links
TIB RV  
TIB RV Publisher  
TIB RV Stream  
Toolkit (Scripting)
Top  
Trading Technologies  
Trap Monitor Limited  
UNIX Users  
Uptrends
Veritas Cluster Server  
Web Monitor  
Win Apps    
Win Cluster    
Win Services    
WMI    
WTS Licenses (Remote Desktop Services)    
WTS Processes (Remote Desktop Services)
WTS Session (Remote Desktop Services)
WTS Summary (Remote Desktop Services)
X Broadcast  
X Mcast  
X Multicast  
X Ping  
X Route  
X Services  
X Top  
X Traffic  

Collection Agent plugins operating system support Copied

Collection Agent plugin Windows Linux: Red Hat
Amazon Web Services (AWS)
Microsoft Azure
FluentD Forward
Google Cloud Platform ✓ 
JDBC
Kubernetes  
MongoDB ✓ 
Open Telemetry  
Prometheus  
StatsD

Collection Agent plugins agent support Copied

Collection Agent plugin version Compatible Collection Agent versions Compatible Netprobe versions
2.x 2.x 5.8 - 5.14
3.x 3.x 6.0 or higher
4.x 4.x 6.7.0 or higher

Integrations support Copied

Geneos integrations are configuration templates built using the core plugins for monitoring various applications and systems.

Integration Plugins used Requirements
ActiveMQ 3 JMX Server plugin instances. ActiveMQ 5.17.x
Cassandra 6 JMX Server plugin instances. Cassandra 3.11
Citrix Vritual Apps (Formally XenApp) 4 Toolkit plugin instances. Citrix Virtual Apps 7 2203 LTSR
CorvilNet API plugin
SNMP Trapmon plugin Corvil 9.7
Docker 2 Toolkit plugin instances Docker 20.10.x
Elasticsearch 8 Toolkit plugin instances Elasticsearch 8.x
Hadoop (HDFS and YARN) 4 JMX Server instances and 3 Toolkit plugin instances. Hadoop 3.3.x
Ultra Messaging API plugin Ultra Messaging 6.13.x
ITRS Synthetic Monitoring (Apica) No longer supported. Please contact your ITRS Account Manager if you require this integration.
Kafka 4 JMX Server plugin instances. Kafka 3.2.x
PostgreSQL 1 SQL Toolkit plugin instance PostgreSQL version 14.x
RabbitMQ 6 Toolkit plugin instances RabbitMQ version 3.10.x
Terracotta Universal Messaging API plugin Terracotta Server 5.x
Refinitiv RTDS (formally TREP) RMC plugin, TCP Links plugin, Toolkit plugin, SQL Toolkit plugin, Sybase and Sybase Server plugins, Mibmon plugin, Trapmon plugin, FKM plugin, Processes plugin Additional licence. Please contact your ITRS account manager for more information.
Velocimetrics No longer supported. Please contact your ITRS Account Manager if you require this integration.
VMWare ESXi API plugin ESXi 7.0.x
Zookeeper 2 JMX Server plugin instances Zookeeper 3.7.x

Supported characters Copied

All Geneos components only support ASCII characters 32-126.

Extended ASCII characters are not supported.

Database support Copied

Database Versions Supported Database Support Notes
IBM DB2 11.1, 11.5
MariaDB (use MySQL configuration option) 10.3, 10.4, 10.5, 10.6
MongoDB 5.x, 6.x, 7.x
MSSQL Server (MS ODBC Driver 13, 17, and 18) 2014, 2016, 2017, 2019
MySQL 5.7, 8.0 For 8.0, only mysql_native_password authentication is supported. The caching_sha2_password option is not supported.
Oracle 12.2, 18c, 19c, 21c AIX Instant Client is supported until 19.18 only. 
PostgreSQL 11, 12, 13, 14
  • PostgreSQL is not supported in IBM AIX platforms.
  • PostgreSQL connections configured with SSL or TLS are not supported in SUSE 12 platforms.
SAP ASE (Sybase) 16.x

Component database support Copied

Geneos component MySQL SAP ASE Oracle MSSQL DB2 PostgreSQL MariaDB
Active Console  
Web Dashboard
Gateway  
Plugin: FIX Analyser 2          
Plugin: Message Tracker          
Plugin: Oracle            
Plugin: SQL-Toolkit
  • MSSQL server is supported only for Netprobes running on Linux and Windows platforms.
  • PostgreSQL connections with SSL or TLS configuration are not supported in SUSE 12 and IBM AIX platforms.
✓ *
Plugin: Sybase            
Plugin: Sybase Server            

Browser support Copied

Browser Versions Supported
Chrome Latest stable version
Firefox ESR Latest extended support release (ESR)
MS Edge Latest extended stable channel release

Component browser support Copied

Geneos Component MS Edge Firefox ESR Chrome
FIX Analyser 2 Netprobe: Show Orders Report
Web Dashboard (Web Server)
Webslinger

Netprobe supports the latest stable releases of OpenJDK Java 8, 11, and 17. While the Collection Agent is tested and supports OpenJDK Java 17, the other components, including Active Console, SSO Agent, and Web Dashboard, are tested and support OpenJDK Java 11.

Application and plugin specific information Copied

Geneos Component Application Support Notes
Control-M plugin Verified on Control-M versions 9.0.18, 9.0.19, and 9.0.20.
E4JMS (TIBCO EMS) plugins Verified on TIBCO Enterprise Message Service (EMS) versions 8.6.x and 10.2.x
Fidessa plug-in (Users View) Fidessa plug-in uses a command line utility called netstat. On Linux this utility is part of net-tools package. By default, net-tools package is no longer included in minimal RHEL 7 + distributions. Please make sure netstat utility is available on the host where Fidessa plug-in is run.
FIX Analyser 2 plugin Requires FIX Analyser 2 Netprobe (Linux 64-bit only) with File Agents that can run on Linux, Windows, and IBM AIX for collecting FIX Logs. FIX Analyser 2 plugin tracks the state of FIX protocol version 4.2 orders.
IBM i plugins IBM i Server must be IBM i, i5/OS, OS/400 V4R3 or higher.
JMX plugins
  • Generic connection to a JMX-enabled application is supported for Java, see Java support.
  • WebSphere connection to an IBM WebSphere Application Server is supported on WebSphere versions 8.5 and 8.5.5 and 9.0.x. It is recommended you configure Netprobe to use Java version that is packaged with your version of WebSphere.
  • WebLogic connection to an Oracle WebLogic Server is supported on WebLogic versions 12.2 and 14.1. It is recommended you configure Netprobe to use the Java version that is packaged with your version of WebLogic.
MongoDB plugin Suported versions include 5.x, 6.x, and 7.x
MQ plugins Verified on IBM MQ versions beginning 9.1 and 9.2. This plugin only supports AIX for IBM MQ 9.1.x.
  • Coming soon - 9.3
REST Extractor Uses jq for Jackson Java JSON Processor version 0.0.9.
SSL/TLS TLS connections are supported up to TLS 1.3. The minimum Geneos version for SSL/TLS connections to work on RHEL 8 is 4.9.x or higher. Beginning Geneos 5.6.x, you can run SSL/TLS connections on RHEL 8 platform.
TIB RV plugin Verified with TIBCO Rendezvous Service versions 8.2 and 8.4.5.
TCP-Links TCP-Links plugin uses a command line utility called netstat. On Linux this utility is part of net-tools package. By default, net-tools package is no longer included in minimal RHEL 7 + distributions. Please make sure netstat utility is available on the host where TCP-Links plugin is run.
Veritas Cluster Server plugin Veritas Cluster Server plugin supports Symantec Veritas Cluster Server versions 6.0 and 7.0.
Web Dashboard (Web Server) There is a Web Dashboard package available without a JRE packaged. Users need to make sure Web Dashboard can access a supported JRE environment, version Java 11.
Win Cluster plugin Win Cluster plugin supports Windows Server Failover Clustering (WSFC) on Windows Server 2008 R2 and Windows 2012 Enterprise and Datacenter editions. 
WTS plugins WTS Licenses plugin requires Microsoft Licensing Reporter Tool (lsreport.exe) installed and functioning. This tool is no longer supported by Microsoft in Windows Server 2008 and newer. 

FLM Plugin Copied

The table below illustrates the support matrix for the different market data feeds currently supported in FLM plugin.

Netprobe Platform RFA (OMM) GL TT NYXT
netprobe-windows-x64
netprobe-linux-x64

Note

RFA version 8 supports the microseconds and nanoseconds timestamps that are useful for RawLatency and DataQuality solutions. MDI connections on RFA are no longer supported.

Gateway Hub Copied

Provides the support matrix for Gateway Hub, Gateway, and Active Console.

Feature Gateway Hub version Compatible versions
Anomaly Detection 1.5 or higher

Gateway 4.13 or higher

Gateway Setup Editor 4.13 or higher

Centralised configuration 1.6 or higher

Gateway 5.0 or higher

Gateway Setup Editor 5.0 or higher

Publish data to Gateway Hub 1.4 Gateway 4.8 to 4.13
Publish data to Gateway Hub 1.5 Gateway 4.8 or higher
Publish data to Gateway Hub 1.6 or higher Gateway 4.12 or higher
View data in Active Console 1.4 or higher Active Console 4.9 or higher

Market Data Monitor (MDM) Copied

Market Data Monitor provides feed adapter libraries used for subscribing to market data feeds. Table below illustrates the different market data feeds and their supported platforms.

Netprobe Platform RFA (OMM) GL TT NYXT Bloomberg Exegy QuantFeed
netprobe-windows-x64
netprobe-linux-x64

Note

RFA version 8 supports the microseconds and nanoseconds timestamps that are useful for RawLatency and DataQuality solutions. MDI connections on RFA are no longer supported.

Trapmon plugin Copied

The Trapmon plugin supports the following SNMP versions:

SNMP version
1
2c
3

This plugin does not support the new MIB files, Custom View, and Clear Trap command features. |

Geneos compatibility and lifecycle Copied

This section outlines all the changes to Geneos compatibility and lifecycle. ITRS will always work with you to minimise impact of any changes, and listen to your feedback. If you have any queries, please contact ITRS Support.

The notice of change in the Geneos compatibility identifies the components, plugins, or features that will no longer be supported by ITRS in any future releases.

End of support notices Copied

The end of support means that the affected component, plugin, or feature is no longer supported and this ends the release of binaries. The table below lists the affected components, plugins, and features:

Notice of change Affected components Effective date Alternative or Upgrade path
End of support for 4.x.x All components version 4.x.x 31 May 2023 If you are using 4.x.x, we advise you to upgrade to 5.x.x or newer.
End of support for Solaris operating system All components and versions 31 May 2023 Upgrade to a supported operating system.

End of releasing binaries Copied

The end of releasing binaries means that the affected components, plugins, or features are no longer getting binaries for certain platforms, but support continues. The table below lists the affected components, plugins, and features:

Notice of Change Affected Components Effective Date Alternative/Upgrade Path
End of releasing binaries for Red Hat Linux  operating systems on IBM POWER8 in version 6.x Netprobe version 6.x and newer 1 September 2022 Netprobe for Red Hat Linux  operating systems on IBM POWER8 is still available and supported on Netprobe versions 5.x.

Deprecated and removed features Copied

This section documents any features deprecated or removed in Geneos 6.x.x versions to date, and lists any useful alternatives or upgrade paths.

Deprecated features Copied

Deprecated features are no longer supported by ITRS, but users can continue to use them if they wish. Users should avoid depending on any deprecated features as they may be removed in any future releases.

Geneos components Affected versions Description Alternatives
Netprobe plugins: GL Greffon, GL Lost Orders, GL Order Book, GL Permissions, GL SLC, GL SLC Relay, GL SLE, GL SLE TCP, MISS-X, PATS Status, PATS Trading Breaches, PATS Users, SETS SLC, Tradeview Geneos 6.0.0 and newer Support ended 15 September 2022. No planned replacement.

Removed features Copied

Removed features are no longer supported and have been removed or disabled in Geneos.

To view the list of other features that have been removed in the past release, see Removed features in 5.x Compatibility Matrix.

Geneos components Description Alternatives

Netprobe plugins

  • Citrix Apps
  • Citrix Processes
  • Citrix Sessions
  • Citrix Summary
  • Combo
  • Component Versions
  • DQM Compare
  • DQM Updates
  • Effix Status
  • Fix Cameron Status
  • Gissing
  • RTIC Latency
  • SWX
  • Triarch Latency
  • UL Bridge
The plugins have already been deprecated and are not supported. They have been removed from the Netprobe and are not available to configure. No planned replacement.
["Geneos"] ["Compatibility Matrix", "Technical Reference"]

Was this topic helpful?